CodeigniterEen solide basis

Codeigniter versie 3.1.8 uitgebracht

Uitgebracht op 22-03-2018

 

Security

 

  • Updated Security Library method xss_clean() to also filter JavaScript tag functions.
  • Fixed a bug where Security Library method xss_clean() didn’t check for parentheses around JavaScript’s document.

 

General Changes

 

  • Updated Email Library to always negotiate between TLS 1.0, 1.1, 1.2 when possible (PHP 5.6+) for SMTP connections.
  • Updated Database Library method version() to exclude suffixes to the main version numbers with the ‘postgre’ driver.

 

Bug fixes for 3.1.8

 

  • Form Validation Library, Email Library tried to use INTL_IDNA_VARIANT_UTS46 when it was undeclared.
  • Query Builder methods where(), having() treated values passed to them as arbitrary SQL.
  • Database Library method insert_id() failed due to incorrect server version parsing with the ‘postgre’ driver.
  • XML-RPC Library produced an error message related to count() on PHP 7.2.
  • Image Manipulation Library attempted to chmod() while rendering images with the dynamic_output option.
  • Database Results method field_data() hid info about one field if limit() was previously used with the ‘oci8’ driver.